<?php
if (!defined('entry') || !entry) {
    die('Not a valid page');
}
/* ===========================

  Sorbet CMS - A PHP based tumblelog CMS forked from Gelato CMS

  Sorbet CMS is a free software licensed under the GPL 3.0

  =========================== */
?>
<?php
    /* Simulating a class static property */
    $GLOBALS['plugins::$instances'] = array();

    class plugins
    {
        public function addAction($name, $function)
        {
            $plugEngine =& plugin::instance(); //DO NOT remove the & after the =
            $plugEngine->actions[$name][] = array($this, $function);
        }
    }
?>
